Deleting Credentials Migrated To Credhub from Tanzu Ops Manager

Deleting Credentials Migrated To Credhub from Tanzu Ops Manager
Deleting Credentials Migrated to Credhub from Tanzu Ops Manager

If you are using Tanzu Ops Manager solely as a manifest generator, after you download the list of credentials for all products using /api/v0/staged/products/credhub_credentials and load them into your CredHub yourself with the CredHub CLI.

You can use this endpoint to delete staged variable migrations when upgrading products that have credentials to migrate into Credhub before you can use the /api/v0/staged/installations/commit endpoint.

Request
URI
DELETE
https://{opsmanager-installation}/api/v0/staged/products/credhub_credentials
COPY
Responses
200

OK

Returns EmptyResponse of type(s) application/json
Operation doesn't return any data structure

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/credhub_credentials